OpenCV: CvKalman Struct Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Attributes | List of all members
CvKalman Struct Reference
Video Analysis » C API

`#include "tracking_c.h"`

## Public Attributes
CvMat * | control_matrix
int | CP
int | DP
float * | DynamMatr
CvMat * | error_cov_post
CvMat * | error_cov_pre
CvMat * | gain
float * | KalmGainMatr
CvMat * | measurement_matrix
CvMat * | measurement_noise_cov
float * | MeasurementMatr
float * | MNCovariance
int | MP
float * | PNCovariance
float * | PosterErrorCovariance
float * | PosterState
float * | PriorErrorCovariance
float * | PriorState
CvMat * | process_noise_cov
CvMat * | state_post
CvMat * | state_pre
float * | Temp1
CvMat * | temp1
float * | Temp2
CvMat * | temp2
CvMat * | temp3
CvMat * | temp4
CvMat * | temp5
CvMat * | transition_matrix

## Member Data Documentation

## ◆ control_matrix

CvMat* CvKalman::control_matrix

## ◆ CP

int CvKalman::CP

## ◆ DP

int CvKalman::DP

## ◆ DynamMatr

float* CvKalman::DynamMatr

## ◆ error_cov_post

CvMat* CvKalman::error_cov_post

## ◆ error_cov_pre

CvMat* CvKalman::error_cov_pre

## ◆ gain

CvMat* CvKalman::gain

## ◆ KalmGainMatr

float* CvKalman::KalmGainMatr

## ◆ measurement_matrix

CvMat* CvKalman::measurement_matrix

## ◆ measurement_noise_cov

CvMat* CvKalman::measurement_noise_cov

## ◆ MeasurementMatr

float* CvKalman::MeasurementMatr

## ◆ MNCovariance

float* CvKalman::MNCovariance

## ◆ MP

int CvKalman::MP

## ◆ PNCovariance

float* CvKalman::PNCovariance

## ◆ PosterErrorCovariance

float* CvKalman::PosterErrorCovariance

## ◆ PosterState

float* CvKalman::PosterState

## ◆ PriorErrorCovariance

float* CvKalman::PriorErrorCovariance

## ◆ PriorState

float* CvKalman::PriorState

## ◆ process_noise_cov

CvMat* CvKalman::process_noise_cov

## ◆ state_post

CvMat* CvKalman::state_post

## ◆ state_pre

CvMat* CvKalman::state_pre

## ◆ Temp1

float* CvKalman::Temp1

## ◆ temp1

CvMat* CvKalman::temp1

## ◆ Temp2

float* CvKalman::Temp2

## ◆ temp2

CvMat* CvKalman::temp2

## ◆ temp3

CvMat* CvKalman::temp3

## ◆ temp4

CvMat* CvKalman::temp4

## ◆ temp5

CvMat* CvKalman::temp5

## ◆ transition_matrix

CvMat* CvKalman::transition_matrix

The documentation for this struct was generated from the following file:

- video/include/opencv2/video/tracking_c.h